diff -Naur vgm/cmake/FindCLHEP.cmake vgm.patched/cmake/FindCLHEP.cmake
--- vgm/cmake/FindCLHEP.cmake	2019-01-25 18:46:25.000000000 +0100
+++ vgm.patched/cmake/FindCLHEP.cmake	2019-06-29 19:50:18.092076913 +0200
@@ -4,13 +4,13 @@
 # The configuration file for CMake build for Virtual Geometry Model
 # Copyright (C) 2012, Ivana Hrivnacova
 # All rights reserved.
-# 
+#
 # For the licensing terms see vgm/LICENSE.
 # Contact: ivana@ipno.in2p3.fr
 # ------------------------------------------------------------------------------
 
-# The CMake build for Virtual Geometry Model is a result of a merge 
-# of the CMake configuration files kindly provided 
+# The CMake build for Virtual Geometry Model is a result of a merge
+# of the CMake configuration files kindly provided
 # by Florian Uhlig, GSI and Pere Mato, CERN.
 
 # - Try to find CLHEP
@@ -36,28 +36,29 @@
   $ENV{CLHEP_BASE_DIR}/include
 )
 
-# CLHEP library external to Geant4 
-find_path(EXTERNAL_CLHEP_LIBRARY_DIR NAMES libCLHEP.so libCLHEP.dylib PATHS
+# CLHEP library external to Geant4
+find_library(EXTERNAL_CLHEP_LIBRARY NAMES libCLHEP.so libCLHEP.dylib PATHS
   ${CLHEP_LIB_DIR}
   ${CLHEP_DIR}/lib
   $ENV{CLHEP_BASE_DIR}/lib
 )
-if (EXTERNAL_CLHEP_LIBRARY_DIR)
-  set(CLHEP_LIBRARY_DIR ${EXTERNAL_CLHEP_LIBRARY_DIR})
-  set(CLHEP_LIBRARY_NAME CLHEP)  
-endif()    
-
-# CLHEP library within Geant4 
-if (NOT EXTERNAL_CLHEP_LIBRARY_DIR)
-  find_path(CLHEP_LIBRARY_DIR NAMES libG4clhep.so libG4clhep.dylib PATHS
+if (EXTERNAL_CLHEP_LIBRARY)
+  get_filename_component(CLHEP_LIBRARY_DIR "${EXTERNAL_CLHEP_LIBRARY}" DIRECTORY)
+  set(CLHEP_LIBRARY_NAME CLHEP)
+endif()
+
+# CLHEP library within Geant4
+if (NOT EXTERNAL_CLHEP_LIBRARY)
+  find_library(CLHEP_LIBRARY NAMES libG4clhep.so libG4clhep.dylib PATHS
     ${Geant4_DIR}/..
     ${GEANT4_LIBRARY_DIR}
   )
-  if (CLHEP_LIBRARY_DIR)
+  if (CLHEP_LIBRARY)
+    get_filename_component(CLHEP_LIBRARY_DIR "${CLHEP_LIBRARY}" DIRECTORY)
     set(CLHEP_LIBRARY_NAME G4clhep)
-  endif(CLHEP_LIBRARY_DIR)
-endif()    
-   
+  endif(CLHEP_LIBRARY)
+endif()
+
 if (CLHEP_INCLUDE_DIRS AND CLHEP_LIBRARY_DIR)
   set(CLHEP_FOUND TRUE)
 endif (CLHEP_INCLUDE_DIRS AND CLHEP_LIBRARY_DIR)
